// Consolidated list for hiding objects from NEI

if (FML.isModLoaded("Artifacts")) {NEI.hide("Artifacts", ["*"]);}

var awakeningmeat_entries = [
	"bear_cooked",
	"monkey_raw",
	"silverfish_squished",
	"giraffe_raw",
	"ghast_raw",
	"gorilla_raw",
	"beetle_squished",
	"beetle_bowl",
	"rhino_raw",
	"fox_raw",
	"giraffe_cooked",
	"bear_raw",
	"monkey_cooked",
	"ghast_cooked",
	"beaver_cooked",
	"wolf_raw",
	"cat_cooked",
	"fox_cooked",
	"ripperfin_raw",
	"spiderleg_cooked",
	"gorilla_cooked",
	"cat_raw",
	"beaver_raw",
	"silverfish_bowl",
	"wolf_cooked",
	"rhino_cooked",
	"ripperfin_cooked",
	"spiderleg",
];
if (FML.isModLoaded("awakeningmeat")) {
	for each(entry in awakeningmeat_entries) {NEI.hide("awakeningmeat", entry);}
}

// Biomes o' Plenty
var BiomesOPlenty_entries = [
	"hoeMud",
	"helmetMud",
	"chestplateMud",
	"leggingsMud",
	"bootsMud",
	"swordMud",
	"shovelMud",
	"pickaxeMud",
	"axeMud",
	"shovelAmethyst",
	"pickaxeAmethyst",
	"axeAmethyst",
	"swordAmethyst",
	"scytheWood",
	"scytheStone",
	"scytheIron",
	"scytheGold",
	"scytheDiamond",
	"scytheMud",
	"scytheAmethyst",
];
if (FML.isModLoaded("BiomesOPlenty")) {
	for each(entry in BiomesOPlenty_entries) {NEI.hide("BiomesOPlenty", entry);}
}

// ChocoCraft Plus
var chococraft_entries = [
	"attitude_adjustment",
	"sidewinder",
	"blank",
	"chocoface",
];
if (FML.isModLoaded("chococraft")) {
	for each(entry in chococraft_entries) {NEI.hide("chococraft", entry);}
}

// Doors o' Plenty
var doorsoplenty_entries = [
	// Block forms
	"mangrove_door",
	"pine_door",
	"ethereal_door",
	"hellbark_door",
	"mahogany_door",
	"willow_door",
	"cherry_door",
	"golden_door",
	"jacaranda_door",
	"sacred_door",
	"bamboo_door",
	"palm_door",
	"dark_door",
	"magic_door",
	"redwood_door",
	"fir_door",
];
if (FML.isModLoaded("doorsoplenty")) {
	for each(entry in doorsoplenty_entries) {NEI.hide("doorsoplenty", entry);}
}

// Eggy Goodness
if (FML.isModLoaded("EggyGoodness")) {
    NEI.hide("EggyGoodness", "eggnog"); //Remove eggygoodness eggnog because Harvestcraft's egg nog is better
}

// EnviroMine
var enviromine_entries = [
	"camelPack",
	"esky",
	"freezer",
];
if (FML.isModLoaded("enviromine")) {
	for each(entry in enviromine_entries) {NEI.hide("enviromine", entry);}
}

// Extra Buttons
if (FML.isModLoaded("extrabuttons")) {
    NEI.hide("extrabuttons", ["extrabuttonsilluminated_button_on*"]);
}

// Galacticraft
var GalacticraftCore_entries = [
	"item.steel_pickaxe",
	"item.steel_axe",
	"item.steel_shovel",
	"item.steel_sword",
];
if (FML.isModLoaded("GalacticraftCore")) {
	for each(entry in GalacticraftCore_entries) {NEI.hide("GalacticraftCore", entry);}
}

// Galacticraft Mars
var GalacticraftMars_entries = [
	"item.titanium_sword",
	"item.titanium_axe",
	"item.titanium_pickaxe",
	"item.titanium_shovel",
	"item.deshSword",
];
if (FML.isModLoaded("GalacticraftMars")) {
	for each(entry in GalacticraftMars_entries) {NEI.hide("GalacticraftMars", entry);}
}

// GalaxySpace
var GalaxySpace_entries = [
	"item.cobalt_axe",
	"item.cobalt_leg",
	"item.cobalt_boots",
	"item.cobalt_sword",
	"item.cobalt_hoe",
	"item.cobalt_helmet",
	"item.cobalt_pickaxe",
	"item.cobalt_shovel",
	"item.cobalt_plate",
	"item.plasmasword",
	"item.plasmapickaxe",
	"item.plasmaaxe",
	"item.plasmashovel",
	"item.plasmahoe",
	"item.spacesuit_helmet",
	"item.spacesuit_plate",
	"item.spacesuit_leg",
	"item.spacesuit_boots",
	"modificationtable",
];
if (FML.isModLoaded("GalaxySpace")) {
	for each(entry in GalaxySpace_entries) {NEI.hide("GalaxySpace", entry);}
}

// Harvestcraft
var harvestcraft_entries = [
	"garammasalaItem",
	"market",
];
if (FML.isModLoaded("harvestcraft")) {
	for each(entry in harvestcraft_entries) {NEI.hide("harvestcraft", entry);}
}

// JAFFA
var jaffa_entries = [
	"CreamCan",
	"CreamTile",
];
if (FML.isModLoaded("jaffa")) {
	for each(entry in jaffa_entries) {NEI.hide("jaffa", entry);}
}

// Mekanism
var Mekanism_entries = [
	"Flamethrower",
	"Jetpack",
	"ArmoredJetpack",
	"PortableTeleporter",
	// These don't render with Smart Moving
	"GasMask",
	"ScubaTank",
];
if (FML.isModLoaded("Mekanism")) {
	for each(entry in Mekanism_entries) {NEI.hide("Mekanism", entry);}
}

// Minecraft
var minecraft_entries = [
	"iron_sword",
	"wooden_sword",
	"stone_sword",
	"iron_pickaxe",
	"iron_axe",
	"wooden_shovel",
	"wooden_pickaxe",
	"wooden_axe",
	"stone_shovel",
	"stone_pickaxe",
	"stone_axe",
	"diamond_axe",
	"golden_pickaxe",
	"golden_axe",
];
for each(entry in minecraft_entries) {NEI.hide("minecraft", entry);}

// Mo' Creatures
var MoCreatures_entries = [
	"bowlempty",
	"bowlwater",
	"bowlfish1",
	"bowlfish2",
	"bowlfish3",
	"bowlfish4",
	"bowlfish5",
	"bowlfish6",
	"bowlfish7",
	"bowlfish8",
	"bowlfish9",
	"bowlfish10",
	"woolball",
	"kittybed",
	"kittylitter",
	"petfood",
	"omelet",
];
if (FML.isModLoaded("MoCreatures")) {
	for each(entry in MoCreatures_entries) {NEI.hide("MoCreatures", entry);}
}

// More Planets
var MorePlanet_entries = [
	"jetpack",
	"uranium_bomb",
	"uranium_helmet",
	"uranium_chestplate",
	"uranium_leggings",
	"uranium_boots",
	"breathable_uranium_helmet",
	"uranium_pickaxe",
	"uranium_axe",
	"uranium_hoe",
	"uranium_spade",
	"uranium_sword",
];
if (FML.isModLoaded("MorePlanet")) {
	for each(entry in MorePlanet_entries) {NEI.hide("MorePlanet", entry);}
}

// Mr. Crayfish's Furniture Mod
var cfm_entries = [
// Tile entries
	"lampon",
	"lampoff",
	"coffetablewood",
	"coffetablestone",
	"tablewood",
	"tablestone",
	"chairwood",
	"chairstone",
	"freezer",
	"fridge",
	"cabinet",
	"couch",
	"blindon",
	"blindoff",
	"curtainon",
	"curtainoff",
	"bedsidecabinet",
	"oven",
	"ovenoverhead",
	"hedge",
	"birdbath",
	"stonepath",
	"whitefence",
	"tap",
	"mailbox",
	"tv",
	"computer",
	"printer",
	"electricfence",
	"doorbell",
	"firealarmoff",
	"firealarmon",
	"ceilinglightoff",
	"ceilinglighton",
	"stereo",
	"toilet",
	"basin",
	"wallcabinet",
	"bath1",
	"bath2",
	"showerbottom",
	"showertop",
	"showerheadoff",
	"showerheadon",
	"bin",
	"present",
	"tree",
	"toaster",
	"microwave",
	"washingmachine",
	"cookiejar",
	"blender",
	"plate",
	"cup",
	"counterdoored",
	"countersink",
	"dishwasher",
	"kitchencabinet",
	"choppingboard",
	"barstool",
	"hey",
	"nyan",
	"pattern",
	"yellowGlow",
	"whiteGlass",
// Actual objects
	"ItemSuperSoapyWater",
	"ItemStereo",
];
if (FML.isModLoaded("cfm")) {
	for each(entry in cfm_entries) {NEI.hide("cfm", entry);}
}

// Natura
var Natura_entries = [
	"natura.sword.ghostwood",
	"natura.sword.bloodwood",
	"natura.sword.darkwood",
	"natura.sword.fusewood",
	
	"natura.pickaxe.ghostwood",
	"natura.shovel.ghostwood",
	"natura.axe.ghostwood",
	"natura.pickaxe.bloodwood",
	"natura.shovel.bloodwood",
	"natura.axe.bloodwood",
	"natura.pickaxe.darkwood",
	"natura.shovel.darkwood",
	"natura.axe.darkwood",
	"natura.pickaxe.fusewood",
	"natura.shovel.fusewood",
	"natura.axe.fusewood",
];
if (FML.isModLoaded("Natura")) {
	for each(entry in Natura_entries) {NEI.hide("Natura", entry);}
}

// NetheritePlus+
var netheriteplus_entries = [
	"GildedBlackstone",
	"Blackstone",
	"PolishedBlackstone",
	"PolishedBlackstoneBricks",
	"CrackedPolishedBlackstoneBricks",
	"ChiseledPolishedBlackstone",
	"Basalt",
	"PolishedBasalt",
];
if (FML.isModLoaded("netheriteplus")) {
	for each(entry in netheriteplus_entries) {NEI.hide("netheriteplus", entry);}
}

// Tinkers Construct
var TConstruct_entries = [
	"travelGoggles",
	"travelVest",
	"travelWings",
	"travelBoots",
	"helmetWood",
	"chestplateWood",
	"leggingsWood",
	"bootsWood",
];
if (FML.isModLoaded("TConstruct")) {
	for each(entry in TConstruct_entries) {NEI.hide("TConstruct", entry);}
}

// Twilight Forest
var TwilightForest_entries = [
	"item.ironwoodSword",
	"item.fierySword",
	"item.steeleafSword",
	"item.knightlySword",
];
if (FML.isModLoaded("TwilightForest")) {
	for each(entry in TwilightForest_entries) {NEI.hide("TwilightForest", entry);}
}

// Whiskey Tango Foxtrot's Cave Biomes
var CaveBiomes_entries = [
	"Mummy_spawner",
	"Pharoh_spawner",
	"SkeletonKnight_spawner",
	"SkeletonMage_spawner",
	"DerangedGolem_spawner",
	"Witch_spawner",
	"frozen_redstone_stalactite_tip",
	"frozen_redstone_column",
	"frozen_redstone_stalagmite_small",
	"frozen_redstone_stalagmite_base",
	"frozen_redstone_stalagmite_tip",
	"frozen_redstone_stalactite_small",
	"frozen_redstone_stalactite_base",
	"frozen_lit_redstone_stalactite_small",
	"frozen_lit_redstone_stalactite_base",
	"frozen_lit_redstone_stalactite_tip",
	"frozen_lit_redstone_column",
	"frozen_lit_redstone_stalagmite_small",
	"frozen_lit_redstone_stalagmite_base",
	"frozen_lit_redstone_stalagmite_tip",
	"frozen_stone_stalactite_small",
	"frozen_stone_stalactite_base",
	"frozen_stone_stalactite_tip",
	"frozen_stone_column",
	"frozen_stone_stalagmite_small",
	"frozen_stone_stalagmite_base",
	"frozen_stone_stalagmite_tip",
	"frozen_sandstone_stalactite_small",
	"frozen_sandstone_stalactite_base",
	"frozen_sandstone_stalactite_tip",
	"frozen_sandstone_column",
	"frozen_sandstone_stalagmite_small",
	"frozen_sandstone_stalagmite_base",
	"frozen_sandstone_stalagmite_tip",
	"mummy_helmet",
	"mummy_chestplate",
	"mummy_leggings",
	"mummy_boots",
	"pharaoh_helmet",
	"pharaoh_chestplate",
	"pharaoh_leggings",
	"pharaoh_boots",
	"frozen_roots",
	"frozen_fence",
	"frozen_rail",
];
if (FML.isModLoaded("CaveBiomes")) {
	for each(entry in CaveBiomes_entries) {NEI.hide("CaveBiomes", entry);}
}

// Weather and Tornadoes
if (FML.isModLoaded("weather2")) {
	NEI.hide("weather2", "WeatherMachine");
}